#
# Conditional build:
%bcond_with	sse	# use SSE extension
%bcond_with	sse2	# use SSE2 extension
%bcond_with	sse3	# use SSE3 extension
#
%ifarch pentium3 pentium4 %{x8664}
%define	with_sse	1
%endif
%ifarch pentium4 %{x8664}
%define	with_sse2	1
%endif
%define		manual_version	1.5.5
Summary:	Full featured image library
Summary(pl.UTF-8):	Biblioteka obsługi obrazów z mnóstwem funkcji
Name:		DevIL
Version:	1.7.8
Release:	10
License:	LGPL v2.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/openil/%{name}-%{version}.tar.gz
# Source0-md5:	7918f215524589435e5ec2e8736d5e1d
Source1:	http://downloads.sourceforge.net/openil/%{name}-Manual-%{manual_version}.zip
# Source1-md5:	6bb2ddfcbe09930c48ef84b8f99479fe
Source2:	http://downloads.sourceforge.net/openil/%{name}-docs.tar.gz
# Source2-md5:	eec6ae7a028a3f058bab1a6918428ed5
Patch0:		libpng14.patch
Patch1:		%{name}-squish.patch
Patch2:		%{name}-as-needed.patch
URL:		http://openil.sourceforge.net/
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	allegro-devel >= 4.1.16
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	jasper-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.533
BuildRequires:	squish-devel
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	xorg-lib-libXext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Developer's Image Library (DevIL) is a programmer's library to develop
applications with very powerful image loading capabilities, yet is
easy for a developer to learn and use. Ultimate control of images is
left to the developer, so unnecessary conversions, etc. are not
performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can
load, save, convert, manipulate, filter and display a wide variety of
image formats.

Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .icns,
.jp2, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic,
.png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif files.

Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm,
.pcx, .pgm, .png, .ppm, .raw, .sgi, .tga and .tif.

%description -l pl.UTF-8
Developer's Image Library (DevIL) jest biblioteką programisty
pozwalającą tworzyć aplikacje z potężnymi możliwościami ładowania
obrazów. Pozostaje przy tym łatwa w użyciu i prosta do nauczenia się.
Ostateczna kontrola nad obrazami jest zostawiona programiście, nie
wprowadza się niepotrzebnych konwersji, itp. DevIL używa prostej, lecz
potężnej składni poleceń, wzorowanej na OpenGL-u. DevIL potrafi
ładować, zapisywać, konwertować, manipulować, filtrować szeroki
wachlarz formatów plików graficznych.

W chwili obecnej DevIL odczytuje pliki z rozszerzeniami bmp, cut, dds,
doom, gif, icns, ico, jp2, jpg, lbm, mdl, mng, pal, pbm, pcd, pcx,
pgm, pic, png, ppm, psd, psp, raw, sgi, tga i tif.

Obsługiwane jest zapisywanie do plików bmp, dds, h, jpg, pal, pbm,
pcx, pgm, png, ppm, raw, sgi, tga i tif.

%package devel
Summary:	DevIL development files
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek DevIL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenEXR-devel
Requires:	jasper-devel
Requires:	lcms-devel
Requires:	libjpeg-devel
Requires:	libmng-devel
Requires:	libpng-devel
Requires:	libtiff-devel
Requires:	squish-devel

%description devel
DevIL development files (for IL and ILU libraries).

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek DevIL (IL i ILU).

%package static
Summary:	Static DevIL libraries
Summary(pl.UTF-8):	Statyczne biblioteki DevIL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DevIL libraries (IL and ILU).

%description static -l pl.UTF-8
Statyczne biblioteki DevIL (IL i ILU).

%package ILUT
Summary:	DevIL ILUT library
Summary(pl.UTF-8):	Biblioteka DevIL ILUT
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL >= 1.2.5
Requires:	allegro >= 4.1.16

%description ILUT
DevIL ILUT library - connection to higher level libraries.

%description ILUT -l pl.UTF-8
Biblioteka DevIL ILUT - łącznik z bibliotekami wyższego poziomu.

%package ILUT-devel
Summary:	Development files for DevIL ILUT library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki DevIL ILUT
Group:		Development/Libraries
Requires:	%{name}-ILUT = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	SDL-devel >= 1.2.5
Requires:	allegro-devel >= 4.1.16
Requires:	xorg-lib-libXext-devel

%description ILUT-devel
Development files for DevIL ILUT library.

%description ILUT-devel -l pl.UTF-8
Pliki programistyczne biblioteki DevIL ILUT.

%package ILUT-static
Summary:	Static DevIL ILUT library
Summary(pl.UTF-8):	Statyczna biblioteka DevIL ILUT
Group:		Development/Libraries
Requires:	%{name}-ILUT-devel = %{version}-%{release}

%description ILUT-static
Static DevIL ILUT library.

%description ILUT-static -l pl.UTF-8
Statyczna biblioteka DevIL ILUT.

%package doc
Summary:	DevIL documentation
Summary(pl.UTF-8):	Dokumentacja DevIL
Group:		Documentation

%description doc
DevIL documentation.

%description doc -l pl.UTF-8
Dokumentacja DevIL.

%prep
%setup -q -c -a1 -a2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd devil-%{version}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ILU \
	--enable-ILUT \
	%{?debug:--disable-release} \
	%{!?with_sse:--disable-sse} \
	%{!?with_sse2:--disable-sse2} \
	%{!?with_sse3:--disable-sse3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C devil-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc devil-%{version}/{AUTHORS,CREDITS,ChangeLog,README.unix}
%attr(755,root,root) %{_bindir}/ilur
%attr(755,root,root) %{_libdir}/libIL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIL.so.1
%attr(755,root,root) %{_libdir}/libILU.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libILU.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIL.so
%attr(755,root,root) %{_libdir}/libILU.so
%{_libdir}/libIL.la
%{_libdir}/libILU.la
%dir %{_includedir}/IL
%{_includedir}/IL/il.h
%{_includedir}/IL/ilu.h
%{_includedir}/IL/ilu_region.h
%{_pkgconfigdir}/IL.pc
%{_pkgconfigdir}/ILU.pc
%{_infodir}/DevIL_manual.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libIL.a
%{_libdir}/libILU.a

%files ILUT
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libILUT.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libILUT.so.1

%files ILUT-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libILUT.so
%{_includedir}/IL/devil_cpp_wrapper.hpp
%{_includedir}/IL/ilut.h
%{_libdir}/libILUT.la
%{_pkgconfigdir}/ILUT.pc

%files ILUT-static
%defattr(644,root,root,755)
%{_libdir}/libILUT.a

%files doc
%defattr(644,root,root,755)
%doc DevIL*.pdf
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/DevIL.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fe88002
- release 10 (by relup.sh)

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 372b805
- release 9 (rebuild with OpenEXR 2)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a3e3c45
- release 7

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c93f5e
- release 6

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 94819df
- release 5

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 739f9db
- added missing language tag in %description

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> e18d07b
- rel 4

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> 89ffc83
- rel 3

* Wed Dec 08 2010 lisu <lisu@pld-linux.org> cef147b
- rel 2

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> e74167f
- added squish patch, build with libsquish support
- added as-needed patch (add libs to _LIBADD, not _LDFLAGS)
- don't use -msse -msse2 -msse3 for CPUs which don't support these extensions

* Fri Oct 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 6a2717d
- package static and .pc files
- separated ILUT because of extra dependencies (SDL, allegro, X11)
- removed obsolete gnu-inline patch
- libpng-related sed call moved to libpng14 patch
- build with OpenEXR support

* Sun May 16 2010 sparky <sparky@pld-linux.org> 9731601
- BR: pkgconfig
- dropped no longer used BR: which

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> c114b6c
- TODO

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> b57d647
- updated for 1.7.8

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> c795608
- -gnu-inline.patch updated
- rel 1

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> f845af9
- obsolete

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> b52f894
- -link.patch obsoleted
- fix apply libpng14.patch

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> 5fe0b4b
- -c++.patch is now obsolete
- clean up

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> 972e29f
- adjust for DevIL-1.7.8

* Wed Apr 21 2010 lisu <lisu@pld-linux.org> 549f5ea
- start update to 1.7.8
- link with -lpng instead of -lpng12
- force build ILU and ILUT
- nfy (see TODO)

